%global oname oauth
Name:          java-oauth
Version:       20100601
Release:       %mkrel 8
Summary:       An open protocol to allow API authentication
License:       ASL 2.0
Group:         Development/Java
Url:           http://code.google.com/p/oauth/
# svn export http://oauth.googlecode.com/svn/code/java oauth-20100601
# find oauth-20100601 -name "*.bat" -delete
# find oauth-20100601 -name "*.class" -delete
# find oauth-20100601 -name "*.jar" -delete
# tar czf oauth-20100601-clean-src-svn.tar.gz oauth-20100601
Source0:       oauth-20100601-clean-src-svn.tar.gz

# remove unavailable test deps org.mortbay.jetty jetty-embedded 6.1.11
# unavailable deps disable this modules: core-old example test

# x test
# org.mortbay.jetty jetty-embedded 6.1.11

# x oauth-example-desktop
# org.codehaus.mojo appassembler-maven-plugin
# org.mortbay.jetty jetty-embedded 6.1.11

# x oauth-example-provider oauth-example-consumer
# org.mortbay.jetty jetty-maven-plugin

Patch0:        oauth-20100601-poms.patch
BuildRequires: java-devel

BuildRequires: httpcomponents-client
BuildRequires: jakarta-commons-httpclient
BuildRequires: tomcat-servlet-3.0-api

BuildRequires: maven-local
BuildRequires: maven-source-plugin

BuildArch:     noarch

%description
An open protocol to allow API authentication
in a simple and standard method from desktop and
web applications.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p1

%build

%mvn_file :%{oname} %{oname}/%{oname}
%mvn_file :%{oname}-consumer %{oname}/%{oname}-consumer
%mvn_file :%{oname}-httpclient3 %{oname}/%{oname}-httpclient3
%mvn_file :%{oname}-httpclient4 %{oname}/%{oname}-httpclient4
%mvn_file :%{oname}-provider %{oname}/%{oname}-provider
# unavailable test deps
%mvn_build -f -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 20100601-8.mga5
+ Revision: 739901
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 16 2013 dmorgan <dmorgan> 20100601-6.mga4
+ Revision: 557598
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 20100601-4.mga3
+ Revision: 354802
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 20100601-3.mga3
+ Revision: 292601
- imported package java-oauth


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20100601-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 24 2012 gil cattaneo <puntogil@libero.it> 20100601-2
- renamed java-oauth
- moved all of the jar files into oauth subdirectory

* Fri May 11 2012 gil cattaneo <puntogil@libero.it> 20100601-1
- initial rpm

